# Class Gene.Transcript

java.lang.Object
picard.annotation.Gene.Transcript

Enclosing class:
  `Gene`

public class Gene.Transcript extends Object
A single transcript of a gene. Sequence name is stored in the enclosing object (class Gene).

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`Gene.Transcript.Exon`
1-based, inclusive representation of an exon.

## Field Summary

Fields
Modifier and Type
Field
Description
`final int`
`codingEnd`
`final int`
`codingStart`
`final Gene.Transcript.Exon[]`
`exons`
`final String`
`name`
`final int`
`transcriptionEnd`
`final int`
`transcriptionStart`

## Constructor Summary

Constructors
Constructor
Description
`Transcript(String name, int transcriptionStart, int transcriptionEnd, int codingStart, int codingEnd, int numExons)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addCoverageCounts(int genomeStart, int genomeEnd, int[] coverage)`
`Gene.Transcript.Exon`
`addExon(int start, int end)`
`void`
`assignLocusFunctionForRange(int start, LocusFunction[] locusFunctions)`
Write into locusFunctions the function of each position from start to start + locusFunctions.length relative to this transcript.
`int`
`end()`
`boolean`
`equals(Object o)`
`Gene`
`getGene()`
`int`
`getTranscriptCoordinate(int genomeCoordinate)`
Given a coordinate on the genome (same chromosome) give the corresponding coordinate in the transcript.
`int`
`hashCode()`
`boolean`
`isSoloTranscript()`
`int`
`length()`
`int`
`start()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### name

public final String name

### transcriptionStart

public final int transcriptionStart

### transcriptionEnd

public final int transcriptionEnd

### codingStart

public final int codingStart

### codingEnd

public final int codingEnd

### exons

public final Gene.Transcript.Exon[] exons

## Constructor Details

### Transcript

public Transcript(String name, int transcriptionStart, int transcriptionEnd, int codingStart, int codingEnd, int numExons)

## Method Details

### addExon

public Gene.Transcript.Exon addExon(int start, int end)

### start

public int start()

### end

public int end()

### length

public int length()

### isSoloTranscript

public boolean isSoloTranscript()

### getGene

public Gene getGene()

### assignLocusFunctionForRange

public void assignLocusFunctionForRange(int start, LocusFunction[] locusFunctions)
Write into locusFunctions the function of each position from start to start + locusFunctions.length relative to this transcript. Does not overwrite an existing value in locusFunctions that is stronger than the function for that locus in this transcript.

Parameters:
  `start` - 1-based genomic coordinate of the first position in locusFunctions.
  `locusFunctions` -

### addCoverageCounts

public void addCoverageCounts(int genomeStart, int genomeEnd, int[] coverage)

Parameters:
  `genomeStart` -
  `genomeEnd` -
  `coverage` -

### getTranscriptCoordinate

public int getTranscriptCoordinate(int genomeCoordinate)
Given a coordinate on the genome (same chromosome) give the corresponding coordinate in the transcript.

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`